using System;

namespace MADJIONICAR
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int izvucenaKarta = 0;
            int N = int.Parse(s[0]);
            int K = int.Parse(s[1]);
            string[] t = Console.ReadLine().Split();
            int[] a = new int[N];
            for(int i = 0; i < N; i++)
            {
                a[i] = int.Parse(t[i]);
                if (i == N - 1 && a[i] == K)
                {
                    izvucenaKarta = a[0];
                }
                if (i != 0 && a[i - 1] == K)
                {
                    izvucenaKarta = a[i];
                }
            }
            Console.WriteLine(izvucenaKarta);
        }
    }
}